> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Snapshots

> The URLs returned in the list snapshot file URLs endpoint should be used to download each file individually.

## Path Parameters

<ParamField path="client_id" required type="string">
  Your client ID.
</ParamField>

<ParamField path="snapshot_guid" required type="string">
  The unique identifier for the snapshot.
</ParamField>

<ParamField path="file_name" required type="string">
  The name of the snapshot file to download.
</ParamField>

<RequestExample>
  ```shell Request theme={null}
  # If using curl, the output response can be 
  # saved to a file by adding the flag option 
  # `-o` and specifying the download path and 
  # file name (e.g. `-o transactions-snapshot.avro.gz`).

  curl -X GET https://int-logs.moneydesktop.com/snapshot/ABCBank/CSS-2f5fcc32-2505-41c2-b04e-11a15c4dc37/transactions_cf3586e2a0eeb0049f7074926076acfe -o filename.avro.gz \
    -H 'Accept: application/vnd.mx.logs.v1+avro' \
    -H 'MD-API-KEY: {api_key}'
  ```
</RequestExample>
